{% extends "customers/base.html" %}
{% load active_tag %}
{% load humanize %}
{% load price_tag %}

{% block title %}Detalle del Factura {{ invoice.pk }}{% endblock %}

{% block page %}
{%if can_show_detail %}
	<!-- begin breadcrumb -->
	<ol class="breadcrumb float-xl-right">
      <li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
	  <li class="breadcrumb-item"><a href="{% url 'provider-list' %}">Proveedores</a></li>
	  {%if object.provider %}
	  <li class="breadcrumb-item active"><a href="{% url 'provider-statement' object.provider.pk %}">Balance</a></li>
	  {%endif%}
      <li class="breadcrumb-item active">Detalle de Factura</li>
	</ol>
	<!-- end breadcrumb -->

	<!-- begin page-header -->
	<h1 class="page-header">Detalle <small>factura</small></h1>
  <!-- end page-header -->
  

  <!-- begin row -->
<div class="row">
    <!-- begin col-6 -->
    <div class="col-xl-6 ui-sortable">
      <!-- begin panel -->
      <div class="panel panel-inverse" data-sortable-id="ui-general-1">
        <!-- begin panel-heading -->
        <div class="panel-heading ui-sortable-handle">
          <h4 class="panel-title">Detalle de Factura</h4>
          <div class="panel-heading-btn">
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
            <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
          </div>
        </div>
        <!-- end panel-heading -->
        <!-- begin panel-body -->
        <div class="panel-body"> 
    <table class="table">
	      <tr>
		<td><strong>Folio</strong></td>
		<td>{{ invoice.folio }}</td>
	      </tr>
	      <tr>
		<td><strong>Comentario</strong></td>
		<td>{{ invoice.comment }}</td>
		  </tr>
		  <tr>
			<td><strong>Operador</strong></td>
			<td>{{ invoice.operator }}</td>
			  </tr>
	      <tr>
		<td><strong>Vencimiento</strong></td>
		<td>{{ invoice.due_date }}</td>
	      </tr>
	      <tr>
		<td><strong>Pagada</strong></td>
		<td>{{ invoice.paid_on|default:"No" }}</td>
	      </tr>
	      {% comment %}
	      <tr>
		<td><strong>Estado</strong></td>
		<td>{{ invoice.get_status_display }}</td>
	      </tr>
	      {% endcomment %}
	      <tr>
		<td><strong>Impuesto específico</strong></td>
		<td>${{ invoice.tax| price_tag}}</td>
	      </tr>
	      <tr>
		<td><strong>Neto</strong></td>
		<td>${{ invoice.neto| price_tag }}</td>
		  </tr>
		  <tr>
			<td><strong>Exento</strong></td>
			<td>${{ invoice.exento| price_tag }}</td>
			  </tr> 
	      <tr>
		<td><strong>Iva</strong></td>
		<td>${{ invoice.iva| price_tag }}</td>
	      </tr>
		  {% if object.currency %}
        <tr>
          <td><strong>Total</strong></td>
        <td>  {{object.currency.symbol}}  {{ object.total| price_tag }}</td>
      </tr>
      {%else%}
      <tr>
      <td><strong>Monto Total (Original)</strong></td>
      <td>$ {{ object.total| price_tag }}</td>
      </tr>
      <tr>
          <td><strong>Moneda</strong></td>
          <td>No tiene asociada</td>
          </tr>
      {%endif%}
      {% if object.tasa %}
      <tr>
      <td><strong>Monto  total convertido</strong></td>
      <td> {{ object.total| price_tag }}</td>
      </tr>
      <tr>
      <td><strong>Tasa conversión</strong></td>
      <td> {{ object.tasa| price_tag }}</td>
      </tr>
      {%endif%}
	{% if object.file %}
        <tr>
          <td><strong>Comprobante de pago</strong></td><td><a href="{{ object.file.url }}" target="_blank">{{ object.file }}</a></td>
        </tr>
	{% endif %}

	<tr>
	  <td><a class="btn btn-primary" href="{% url 'provider-invoice-update' object.pk %}">Editar</a></td>
	</tr>
	</table>
</div>
<!-- end panel-body -->
</div>
<!-- end panel -->
</div>



<!-- begin col-6 -->
<div class="col-xl-6 ui-sortable">
		<!-- begin panel -->
		<div class="panel panel-inverse" data-sortable-id="ui-general-1">
		  <!-- begin panel-heading -->
		  <div class="panel-heading ui-sortable-handle">
			<h4 class="panel-title">Histórico de modificaciones</h4>
			<div class="panel-heading-btn">
			  <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
			  <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
			  <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
			  <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
			</div>
		  </div>
		  <!-- end panel-heading -->
		  <!-- begin panel-body -->
		  <div class="panel-body">
      <table class="table">
	<thead>
	<tr>
	  <th>Actividad</th>
	  <th>Fecha</th>
	</tr>
	<thead>
	<tbody>
	    {% for activity in invoice.action_log %}
	    <tr>
	      <td><span class="text-primary">{{ activity.user }}</span> {{ activity.action }} {% if activity.changes %}<strong>{{activity.changes|join:", "}}</strong>.{% else %} esta factura.{% endif %}</td><td title="{{ activity.dt }}">{{ activity.dt|naturaltime }}</td>
	    </tr>
	    {% endfor %}
	</tbody>
      </table>
     
	</div>
	<!-- end panel-body -->
  </div>
  <!-- end panel -->
  </div>
  </div>
  <!-- end row -->
  
  <!-- begin scroll to top btn -->
  <a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
  <!-- end scroll to top btn -->
  {%else%}
<div class="alert alert-success"  style="background-color: rgb(245, 156, 26); text-align: center;" role="alert">
	<h4 class="alert-heading">No encontrado</h4>
	<hr>
	<h5 class="mb-0">Cambie de operador o vuelva al listado de boletas.</h5>
</div>
{%endif%}
  {% endblock %}
